Minecraftdata.com -Mods, Resource Packs,  Maps, Tools, Skins, Updates



GLSL-Shaders-Mod

The GLSL Shaders mod for Minecraft it not only possibly one of the most unique, and extraordinary mods of all time; but it is also perhaps a very long awaited, fully developed, and well created mod in which implements spectacular shading and environmental animations to your game of Minecraft. The mod itself, developed by a very unique creator; has been developed to implement an original and beautiful looking shader into the game. The shader itself introduces a different type of lighting the game, initially enhancing the default brightness, before darkening the Shadows to create a wonderful effect.

The GLSL shaders mod is very GPU intensive, and requires a very decent computer to run it well. It is advised that the user be smart when choosing to install, and use this mod. A large amount of FPS (Frame-Rate per second) will be used in the entire process of using the mod. Thankfully, the developer of the mod has released different versions, some with different FPS usage. Even so, the mod will still undoubtedly cause a large amount of lag, this will become a large problem for those of whom do not have a computer in which can run such a mod. If you are unsure of your FPS with or without the mod installed, simply log into your world in Minecraft, and press the F3 button on your keyboard. This will bring up a screen, covered with details and lines of different information The FPS counter is located on the top left of this screen layout, easily labelled and easy to understand. To close this layout, simply press the F3 button once more.

This is modified version of daxnitro’s GLSL Shaders mod, updated for newer Minecraft version since 1.4.2.

There are some added features.

  • Support connected texture
  • Support multiple composite programs (compostire1, composite2, composite3)

Mod Spotlight:

How to install GLSL Shaders Mod for Minecraft:

Installation for Minecraft 1.7.5

Show »

– Run Minecraft 1.7.5 at least once. Close Minecraft and Launcher.
– Copy ShadersModCore-2.4.0mc1.7.5.jar to the following path and filename.
%APPDATA%.minecraftlibrariesshadersmodcoreShadersModCore2.4.0mc1.7.5ShadersModCore-2.4.0mc1.7.5.jar
– Make sure you also have required libraries
%APPDATA%.minecraftlibrariesorgow2asmasm-all4.1asm-all-4.1.jar
%APPDATA%.minecraftlibrariesnetminecraftlaunchwrapper1.9launchwrapper-1.9.jar
– Make a copy of folder
%APPDATA%.minecraftversions1.7.5
– Rename the copied folder to
%APPDATA%.minecraftversions1.7.5-ShadersMod2.4.0
– Open folder 1.7.5-ShadersMod2.4.0
– Rename 1.7.5.jar to 1.7.5-ShadersMod2.4.0.jar (same name as folder)
– Rename 1.7.5.json to 1.7.5-ShadersMod2.4.0.json (same name as folder)
– Open the json file with Notepad++ (or other text editor program)
– Edit value of id. (equals to folder name)

"id": "1.7.5-ShadersMod2.4.0",

– Edit value of minecraftArguments.

"minecraftArguments": "--username ${auth_player_name} --version ${version_name} --gameDir ${game_directory} --assetsDir ${assets_root} --assetIndex ${assets_index_name} --uuid ${auth_uuid} --accessToken ${auth_access_token} --userProperties ${user_properties} --userType ${user_type} --tweakClass shadersmodcore.loading.SMCTweaker",

– Add libraries.

"libraries": [
{
"name": "shadersmodcore:ShadersModCore:2.4.0mc1.7.5"
},
{
"name": "net.minecraft:launchwrapper:1.9",
"serverreq": true
},
{
"name": "org.ow2.asm:asm-all:4.1",
"serverreq": true
},
{
"name": "java3d:vecmath:1.3.1"
},

– Edit value of mainClass.

"mainClass": "net.minecraft.launchwrapper.Launch",

– Save 1.7.5-ShadersMod2.4.0.json
– Reopen Minecraft Launcher
– Create a new profile, edit profile, select version 1.7.5-ShadersMod2.4.0. Save.
– Select the profile and click Play.
– Test.

Manual installation in minecraft.jar

Show »

  • 1. Make a backup of original minecraft.jar. (You may want it later.)
  • 2. Open minecraft.jar in WinRAR or 7-Zip or similar program.
  • 3. Delete META-INF in minecraft.jar.
  • 4. If you use Forge, copy files from Forge universal zip into minecraft.jar
  • 5. Copy files from OptiFine zip into minecraft.jar.
  • 6. Copy files from ShadersMod zip into minecraft.jar
  • 7. Copy *.fsh *.vsh files into minecraft.jar/shaders (or leave it empty and copy *.fsh *.vsh into .minecraft/shaders folder instead)
  • 8. Finished. Run minecraft.

Installation for use with Magic Launcher

Show »

  • 1. Open Magic Launcher.
  • 2. Click Setup button.
  • 3. Select or create configuration you want to use.
  • 4. If you use Forge, add Forge universal zip.
  • 5. Add OptiFine zip (below Forge universal if used together).
  • 6. Add ShadersMod zip below OptiFine.
  • 7. Add shaders zip file (which has *.fsh *.vsh in shaders folder inside zip)
  • 8. OK

How to use newer version of Shaders Mod with Sonic Ether’s Unbelievable Shaders Mod

Show »

  • A. Manual install in minecraft.jar
    • Open minecraft.jar in 7-Zip
    • Delete META-INF
    • Copy files from mod zip into minecraft.jar in this order: (forge), optifine, SEUS-v10rc7, newer ShadersMod
  • B. Merge newer ShadersMod into SEUS-v10rc7 zip (for use with Magic Launcher)
    • Replace .class files in SEUS-v10rc7 zip with .class files from newer ShadersMod.
  • C. Simply use Magic Launcher
    • Add SEUS-v10rc7 zip file below OptiFine and above newer ShadersMod.
    • Add newer ShadersMod below SEUS-v10rc7.

Changelogs:

Show »

v2.4.0 alpha

  • This does not require Forge or FML.
  • It is a little more difficult to install this than previous version.
  • You will have to do some copy-paste and text file editing.

v2.3.12

  • Fixed crash if used with FML without Forge (v2.3.10-2.3.11).
  • Fixed mc_Entity.z and gl_MultiTexCoord3 not work in v2.3.10.
  • Fixed flashing shadow
  • Fixed held item rendering
  • Added program gbuffers_spidereyes
  • Changed mc_Entity x=blockID, y=renderType, z=metadata
  • Added shader settings : shadowtex0Mipmap, shadowtex1Mipmap, shadowcolor0Mipmap, . shadowcolor1Mipmap, shadowtex0Nearest, shadowtex1Nearest, shadowcolor0Nearest, shadowcolor1Nearest (to be used by SEUS GI algorithm)

v2.3.9

  • Added gbuffers mipmaps generation before final program (previously only before composite* program).
  • Fixed display error message on screen.

v2.3.7

  • Fixed shadow of transparent block.
  • Added shaderpack settings : generateShadowColorMipmap, shadowHardwareFiltering0, shadowHardwareFiltering1, shadow0MinMagNearest, shadow1MinMagNearest, shadowColor0MinMagNearest, shadowColor1MinMagNearest

v2.3.6

  • Fixed EnderDragon lighting bug.
  • Fixed render chests and signs with gbuffers_terrain.

v2.3.4

  • Fixed Spider and Enderman lighting bug.
  • Added option to disable loading of normal map and specular map
  • Added option to enable old lighting
  • Changed block damage rendering
  • Changed Sky rendering at the horizon.
  • Changed Skip generating mipmaps of buffers if not OpenGl 3.0.

GLSL Shaders Mod Download Links:

Previous versions:

Show »

Shaders

Sonic Ether’s Unbelievable Shaders Mod :Sonic Ether’s Unbelievable Shaders Mod

Zeekes’s Shaders:http://http://www.mediafire.com/?cdp83qdsw4211

Sonic Ether’s v8 Ultra:http://http://www.mediafire.com/?pei02c8727sa720

Sonic Ether’s v8 Default:http://http://www.mediafire.com/?d8d66m1837i4wdm

Sonic Ether’s v8 Lite:http://http://www.mediafire.com/?6fcgoi4htb8jacq

For 1.5.2

http://download.minecraftdata.com/?act=dl&id=141219034914

For 1.6.2

http://download.minecraftdata.com/?act=dl&id=141219034944

Bump shadow waving: http://download.minecraftdata.com/?act=dl&id=141219034958

For 1.6.4

http://download.minecraftdata.com/?act=dl&id=141219035029

For 1.7.2 (Compatible with AMD Catalyst 14.9, Optifine ultra edition only)

http://download.minecraftdata.com/?act=dl&id=141219035227

For 1.7.4 (Not require Forge)

http://download.minecraftdata.com/?act=dl&id=141219035100

For 1.7.5 (Not require Forge)

http://download.minecraftdata.com/?act=dl&id=141219035120

For 1.7.10 (Compatible with AMD Catalyst 14.9, Optifine ultra edition only)

Forge version: http://download.minecraftdata.com/?act=dl&id=141219035256

non-Forge version: http://download.minecraftdata.com/?act=dl&id=141219035320

For 1.8 (Not compatible with Optifine, FML)

Warning: If it crashes, it may corrupt your save game. Backup your save game before running or run it only with test-world.

non-Forge version: http://download.minecraftdata.com/?act=dl&id=141219035352

For Minecraft 1.9.2,1.9

Inbuild into OptiFine HD.

For Minecraft 1.11, 1.10.2 – 1.9.4

Readmore: Inbuild into OptiFine HD.

Credits: karyonix





Incoming search terms:

  • GLSLShadersMod1 11 2/1 10 2/1 9 4/1 8 9/1 7 10-Minecraftdata com
  • glsl shaders mod for 1 7 4
  • shadersmodcore1 10 2

Maybe you like:



Tags: , , , , , , , , , , , , , , , , , , ,